> ## Documentation Index
> Fetch the complete documentation index at: https://developers.bonifiq.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Return an existant reward already redeemed



## OpenAPI

````yaml https://api.bonifiq.com.br/swagger/Private%20APIs/swagger.json get /v1/pvt/Rewards/{id}
openapi: 3.0.0
info:
  title: BonifiQ Private APIs
  description: >-
    # Introduction 

    This is the BonifiQ Private APIs documentation. With these endpoints you can
    interact with BonifiQ systems and enhance your program points.


    # Limitations

    These endpoints are intended to be used in backend communication so they are
    not CORS-compatible and cannot be used by in-browser frontend libraries
    (such as React, Angular, Vue, jQuery, etc)


    If are required to call BonifiQ API from a browser, please refer to our
    [Public APIs](https://api.bonifiq.com.br/apidocs/public)


    # Authentication

    These Private APis use the [Basic
    Authentication](https://en.wikipedia.org/wiki/Basic_access_authentication)
    scheme. You need both an API Token (Username) and API Key (Password) to use
    with it


    You can generate this key pair in BonifiQ admin panel, at the "API Keys"
    menu.


    # How to use this page

    ## Making calls

    You can simulate, test and make calls to API from this Swagger page. To do
    that:

    - Click on the **Authorize** button

    - Inform the Username (API Token) and Passwoird (API Key) and click on
    **Authorize**

    - From the list bellow, choose an API call and click on **Try it out**

    - Inform the required parameters (if any) and click on **Execute**


    ## Verifying requests and responses bodies

    In every API Call there is an explanation of what each field means, theirs
    types and accepted values for all Requests and Responses.


    To view this information, just go to any API Call bellow and in the
    Responses section, click on the Schema.
  version: 1.0.0
servers:
  - url: https://api.bonifiq.com.br
security: []
tags:
  - name: POS
    description: >-
      Flow methods to integrate BonifiQ with a POS system. Check the Flow
      Documentation link on the right
    externalDocs:
      description: Flow Documentation
      url: >-
        https://suporte.bonifiq.com.br/support/solutions/articles/159000319538-integrar-com-pdv
  - name: Checkout
    description: Operations related to checkout cashback redeem, refresh and removal
  - name: Customization
    description: Retrieve customizations for the loyalty program
  - name: Rewards
    description: Interact with rewards already redeemed
paths:
  /v1/pvt/Rewards/{id}:
    get:
      tags:
        - Rewards
      summary: Return an existant reward already redeemed
      operationId: Rewards_GetConfig
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int32
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RewardRedeemedResponse'
      security:
        - Basic Authentication: []
components:
  schemas:
    RewardRedeemedResponse:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: integer
          description: Unique ID for this redeem
          format: int32
        Customer:
          description: Customer that redeemed this reward
          oneOf:
            - $ref: '#/components/schemas/CreateCustomerResponse'
        ExternalCode:
          type: string
          description: >-
            Unique external code for this redeem. Could be used for integrating
            with third-party systems
        CashValue:
          type: number
          description: >-
            If it is a Cashback or Value rewards represents the amount in cash
            (R$) given for the customer
          format: decimal
          nullable: true
        IsCanceled:
          type: boolean
          description: >-
            If true means this reward was cancelled and the points was given
            back to the customer
        RedeemDate:
          type: string
          description: Date the reward was redeemed
          format: date-time
        Points:
          description: Points record regenerated upon redeeming process
          oneOf:
            - $ref: '#/components/schemas/RewardRedeemedReponsePoints'
    CreateCustomerResponse:
      type: object
      additionalProperties: false
      properties:
        OriginalId:
          type: string
          description: 'This is the Id in the client store. '
        PublicId:
          type: string
          description: Bonifiq Plubic Id
          nullable: true
        Name:
          type: string
          description: Customer name.
        Email:
          type: string
          description: Customer email.
        Phone:
          type: string
          description: Customer Contact Phone.
          nullable: true
        BirthdayDate:
          type: string
          description: Customer Birthdate.
          format: date-time
          nullable: true
        SignupDate:
          type: string
          description: Date when the customer made the register on client store.
          format: date-time
          nullable: true
        Document:
          type: string
          description: Some document number from the customer, accepts any string.
          nullable: true
        IsEnrolled:
          type: boolean
          description: >-
            If true the customer is participating on the points plan from the
            store.
        ReferralURL:
          type: string
          description: >-
            Customer`s Referral URL. Will be null if the Referral Objective is
            not active.
          nullable: true
        WhatsappReferralUrl:
          type: string
          description: >-
            Customer`s Referral URL for sharing in Whatsapp. Will be null if
            Referral Objective is not active
          nullable: true
        CurrentTier:
          description: If the customer is in a Tier returns it. Otherwise returns null
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/CustomerTierResponse'
        BalanceOfPoints:
          type: integer
          description: Customer's current points balance
          format: int32
        BalanceCashback:
          type: number
          description: >-
            Customer's current cashback balance (calculated from points). Will
            be null if cashback is not enabled.
          format: decimal
          nullable: true
    RewardRedeemedReponsePoints:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: integer
          description: Unique ID of the generated point
          format: int32
        Points:
          type: integer
          description: How many points was used
          format: int32
        Type:
          description: 'Type of the point. Could be any of:'
          oneOf:
            - $ref: '#/components/schemas/PointType'
        EventKey:
          type: string
          description: Unique key for this record. Used to preventing duplication
    CustomerTierResponse:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
        Color:
          type: string
        IconUrl:
          type: string
    PointType:
      type: integer
      description: |-
        0 = Purchase
        1 = Signup
        2 = Birthday
        3 = Ordinary
        4 = Reward
        5 = Review
        6 = Refund
        7 = Expire
        8 = Referral
        9 = SocialMediaFollowFacebook
        10 = SocialMediaFollowInstagram
        11 = PartialOrderRefund
        12 = Quiz
        13 = CustomObjective
        14 = ReferralAffiliate
        15 = SocialMediaFollowLinkedin
        16 = SocialMediaFollowTikTok
        17 = Campaign
        18 = Participation
        19 = Fitness
      x-enumNames:
        - Purchase
        - Signup
        - Birthday
        - Ordinary
        - Reward
        - Review
        - Refund
        - Expire
        - Referral
        - SocialMediaFollowFacebook
        - SocialMediaFollowInstagram
        - PartialOrderRefund
        - Quiz
        - CustomObjective
        - ReferralAffiliate
        - SocialMediaFollowLinkedin
        - SocialMediaFollowTikTok
        - Campaign
        - Participation
        - Fitness
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
        - 13
        - 14
        - 15
        - 16
        - 17
        - 18
        - 19
  securitySchemes:
    Basic Authentication:
      type: http
      description: Use API Basic Auth Keys
      name: Basic Authentication
      in: header
      scheme: basic

````